[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.CheckBrowseMode

Check whether the dataset is in browse mode.

## Declaration

Source position: db.pas line 1578

`public procedure TDataSet.CheckBrowseMode;`

## Description

CheckBrowseMode checks whether the dataset is in browse mode (State=dsBrowse). If it is not, an EDatabaseError exception is raised.

## See also

TDataset.State |  | Current operational state of the dataset

Documentation generated on: Feb 26 2014